/**
 *	C++ source file for Tarada Library tstring class
 *	Copyright (c) 2010 Tarada
 *
 *	This program is free software: you can redistribute it and/or modify
 *	it under the terms of the GNU Lesser General Public License as published
 *	by the Free Software Foundation, either version 3 of the License, or
 *	(at your option) any later version.
 *
 *	This program is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU Lesser General Public License for more details.
 *
 *	You should have received a copy of the GNU Lesser General Public License
 *	along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include "config.h"
#include <iostream>
#include <fstream>
#include <vector>

#ifdef HAVE_STRING_H
#include <string>
#endif

#ifdef HAVE_CCTYPE_H
#include <cctype>
#endif

#ifdef STDC_HEADERS
#include <ctime>
#include <cstdlib>
#endif

#include "tstring.h"
using namespace std;

// Internal Functions
void tstring::Init()
{
}
// End Internal Functions

// Library Functions
tstring::tstring()
{
  Init();
}

char* tstring::at(int index)
{
  return &strvalue.at(index);
}

void tstring::assign(string input)
{
  for (int i=0; i<input.size(); i++)
    strvalue.at(i)=input[i];
}

int tstring::freq(char input)
{
  // Variable Declarations
  int lcount=0; // Letter Count
  char c;
  // End Variable Declarations

  for (int i=0; i<strvalue.size(); i++)
    {
      c=strvalue.at(i);
      if (c>=65 && c<=90) // If c a capital letter, make it lowercase
	c+=32;
      if (c==input)
	lcount++;
    }
  return lcount;
}

tstring::~tstring()
{
}
// End Library Functions

// Library Operators
void tstring::operator=(string inputtoassign)
{
  assign(inputtoassign);
}
// End Library Operators
