/**
 *	Header file for Tarada Library tstring class
 *	Copyright (c) 2010 Tarada
 *
 *	This program is free software: you can redistribute it and/or modify
 *	it under the terms of the GNU Lesser General Public License as published
 *	by the Free Software Foundation, either version 3 of the License, or
 *	(at your option) any later version.
 *
 *	This program is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU Lesser General Public License for more details.
 *
 *	You should have received a copy of the GNU Lesser General Public License
 *	along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef tstring_h
#define tstring_h

class tstring
{

 private:

  // Internal Functions

  /* Tarada String Init */ void Init();
  /**
   * Description: Initializes an instance of the Tarada String
   */

  // End Internal Functions

 public:

  // Library Variables
  std::vector<char> strvalue;
  // End Library Variables

  // Library Functions

  /* Tarada String Constructor */ tstring();
  /**
   * Description: Creates an instance of the Tarada String
   */

  /* Assign */ void assign(std::string);
  /**
   * Description: Assigns a value to the Tarada String
   * Arguments: String - String to assign
   */

  /* Character Accesser */ char* at(int);
  /**
   * Return Type: Pointer to Character
   * Description: Returns a pointer to a specific character of the Tarada String
   * Arguments: Integer - Index of the Tarada String to return
   * Return Value: Pointer to a specific character
   */

  /* Frequency Counter */ int freq(char);
  /**
   * Return Type: Integer
   * Description: Counts the amount of times a character appears
   * Arguments: Character - Character whose frequency to count
   * Return Value: Frequency of the character passed as the argument
   */

  /* Tarada Library Destructor */ ~tstring();
  /**
   * Description: Creates an instance of the Tarada String
   */


  // End Library Functions

  // Library Operators
  /* Assign */ void operator=(std::string);
  /**
   * Description: Assigns a value to the Tarada String
   * Arguments: String - String to assign
   */
  // End Library Operators

};

#endif /* tstring_h */
