#	G++ Flag Setup for Tarada Library
#	Copyright (c) 2010 Tarada
#
#	This program is free software: you can redistribute it and/or modify
#	it under the terms of the GNU Lesser General Public License as published
#	by the Free Software Foundation, either version 3 of the License, or
#	(at your option) any later version.
#
#	This program is distributed in the hope that it will be useful,
#	but WITHOUT ANY WARRANTY; without even the implied warranty of
#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#	GNU Lesser General Public License for more details.
#
#	You should have received a copy of the GNU Lesser General Public License
#	along with this program.  If not, see <http://www.gnu.org/licenses/>.
#! /bin/bash -f

# Preliminary Flag Setup
if [ "$1" = "" ]
then
      taradalibon=true
      tstringon=true
fi
# End Preliminary Flag Setup

# Secondary Flag Setup
for argstr in $@
do
    if [ "$processnext" = "include" ]
    then
	if [ "$argstr" = "taradalib" ]
	then
	    taradalibon=true
	elif [ "$argstr" = "tstring" ]
	then
	    tstringon=true
	else
	    echo "$0: $argstr: object file not found"
	fi
	unset processnext
    elif [ "$argstr" = "--include-all" ]
    then
	taradalibon=true
	tstringon=true
    elif [ "$argstr" = "--include" ]
    then
	processnext="include"
    elif [ "$argstr" = "--headers-only" ]
    then
	headerson=true
    fi
done
# End Secondary Flag Setup

if [ "$headerson" != "true" ]
then
    if [ "$taradalibon" = "true" ]
    then
	echo -n "/usr/local/lib/taradalib.o "
    fi
    if [ "$tstringon" = "true" ]
    then
	echo -n "/usr/local/lib/tstring.o "
    fi
fi
echo -n "-I/usr/include/c++/4.4/"